> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Bulk get Blobs by UUID

GET https://{tenant_name}.benchling.com/api/v2/blobs:bulk-get

Bulk get Blobs by UUID

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/blobs/bulk-get-blobs

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `blobIds` (string, optional) — Comma-separated list of blob IDs.
- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

OK

- `blobs` (list of Blob, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Blob

- `id` (string, optional) — The universally unique identifier (UUID) for the blob.
- `mimeType` (string, optional) — eg. application/jpeg
- `name` (string, optional) — Name of the blob
- `type` (enum, optional) — One of RAW_FILE or VISUALIZATION. If VISUALIZATION, the blob may be displayed as an image preview.
  - Allowed values: `RAW_FILE`, `VISUALIZATION`
- `uploadStatus` (enum, optional)
  - Allowed values: `IN_PROGRESS`, `COMPLETE`, `ABORTED`

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "blobs": [
    {
      "id": "c33fe52d-fe6a-4c98-adcd-211bdf6778f7",
      "mimeType": "text/csv",
      "name": "MyInstrumentInputFile.csv",
      "type": "RAW_FILE",
      "uploadStatus": "IN_PROGRESS"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/blobs:bulk-get"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/blobs:bulk-get';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```